FLANG

Public Member Functions | List of all members
Fortran::parser::SetOfChars Struct Reference

## Public Member Functions
constexpr | SetOfChars (char c)
constexpr | SetOfChars (const char str[], std::size_t n)
constexpr | SetOfChars (const SetOfChars &)=default
constexpr | SetOfChars (SetOfChars &&)=default
constexpr SetOfChars & | operator= (const SetOfChars &)=default
constexpr SetOfChars & | operator= (SetOfChars &&)=default
constexpr bool | empty () const
constexpr bool | Has (SetOfChars that) const
constexpr SetOfChars | Union (SetOfChars that) const
constexpr SetOfChars | Intersection (SetOfChars that) const
constexpr SetOfChars | Difference (SetOfChars that) const
std::string | ToString () const

The documentation for this struct was generated from the following files:

- include/flang/Parser/char-set.h
- lib/Parser/char-set.cpp